Upgrading from 2.7 to 2.9

Upgrading from 2.7 to 2.9

Post by Stephen Marle » Sat, 02 Jun 2001 22:27:07



Hi,

I hope someone can help here. I'm upgrading openbsd 2.7 to 2.9 using
sources from CVS. I've been following the instructions in
http://www.openbsd.org/faq/upgrade-minifaq.html, however when I attempt
to build 'make' I get this error:

# make depend
cc -O2   -I/usr/src/usr.bin/make/obj -I/usr/src/usr.bin/make -Wall
-Wno-char-subscripts -Wstrict-prototypes -DUSE_TIMESPEC   -c
/usr/src/usr.bin/make/generate.c
/usr/src/usr.bin/make/generate.c:11: ohash.h: No such file or directory
*** Error code 1

Funny thing is, I had an older CVS tree of 2.9 and the make source
directory there has an ohash subdirectory and that version of make
builds fine. Is there something wrong with the current CVS tree?

--

 
 
 

Upgrading from 2.7 to 2.9

Post by Stephen Marle » Sat, 02 Jun 2001 22:40:50


Nevermind. I found the answer here
http://www.sigmasoft.com/cgi-bin/wilma_hiliter/openbsd-misc/200103/msg01
074.html?line=24#hilite

 
 
 

Upgrading from 2.7 to 2.9

Post by Marc Esp » Sun, 03 Jun 2001 10:09:15




Quote:># make depend
>cc -O2   -I/usr/src/usr.bin/make/obj -I/usr/src/usr.bin/make -Wall
>-Wno-char-subscripts -Wstrict-prototypes -DUSE_TIMESPEC   -c
>/usr/src/usr.bin/make/generate.c
>/usr/src/usr.bin/make/generate.c:11: ohash.h: No such file or directory
>*** Error code 1

libohash is now part of the libc.

Rebuild your libc first.

 
 
 

1. Largest process size under 2.7/2.8/2.9?

From what I can understand, Solaris 2.7 is 32 bit.  Processes can only
be at-most 2GB in size.  So how come my Sybase dataserver on 2.7 is
3.7GB in size (from top(1))?

Btw, Solaris 2.9 is full 64-bit... and with 1.4 JVM, you have a pure
64-bit playground to work with.  Should be interesting.

Frank G.
+=========================================+
| Crossroads Technologies Inc.            |
| Enterprise Java Engineering             |
|   Web: www.CrossroadsTech dot com       |

+=========================================+

2. Old Adaptec ISA SCSI Support

3. upgrade 2.9 -> 3.0 problem

4. patching kernel for SB AWE64 setup on RH5.1

5. OPEN bsd 2.9 upgrade to 3.1

6. Best Kernel For Quotas?

7. upgrading from 2.8 to 2.9

8. KDevelop: include external files, enable error highlight

9. upgrade from 2.9 - asked again!

10. How to upgrade PROM to 2.9 or greater

11. upgrading from 2.8 -> 2.9

12. upgrade to 2.9 and softupdates

13. Updating 2.7 to 2.7-current - error: __warn_references in libcompat